Download it now!
Bug 125779 - Elementary: Object handers are too faint
Summary: Elementary: Object handers are too faint
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: UI (show other bugs)
Version:
(earliest affected)
6.4.0.0.alpha1+
Hardware: All All
: medium normal
Assignee: Rizal Muttaqin
URL:
Whiteboard: target:7.0.0 target:6.4.4
Keywords: bibisected, bisected
Depends on:
Blocks: Icon-Theme-Elementary
  Show dependency treegraph
 
Reported: 2019-06-07 12:49 UTC by Xisco Faulí
Modified: 2020-04-27 20:10 UTC (History)
5 users (show)

See Also:
Crash report or crash signature:


Attachments
Screenshot (17.22 KB, image/png)
2019-06-07 12:49 UTC, Xisco Faulí
Details
Bezier/Node Handler Color (12.97 KB, image/png)
2019-06-12 03:14 UTC, Rizal Muttaqin
Details
MS Office shape selection (20.27 KB, image/png)
2019-06-12 03:20 UTC, Rizal Muttaqin
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Xisco Faulí 2019-06-07 12:49:37 UTC
Created attachment 152025 [details]
Screenshot

Steps to reproduce:
1. Insert a rectangle
2. Select the rectangle

-> The handlers are grey instead of green. I think this makes it harder to see them for people with visual disabilities.

produced in

Version: 6.4.0.0.alpha0+
Build ID: 6b911ae9eb9484bebbdc1323210020486f5ef33f
CPU threads: 4; OS: Linux 4.15; UI render: default; VCL: x11; 
Locale: ca-ES (ca_ES.UTF-8); UI-Language: en-US
Calc: threaded
Comment 2 Adolfo Jayme 2019-06-07 13:10:19 UTC
They could be a bit darker, yes, but I don’t think they *must* be green. Updating the bug summary to broaden it (bug summaries should concisely describe a problem; they’re not the place to define what the solution of a bug must be)
Comment 3 Rizal Muttaqin 2019-06-12 03:14:46 UTC
Created attachment 152119 [details]
Bezier/Node Handler Color
Comment 4 Rizal Muttaqin 2019-06-12 03:15:39 UTC
(In reply to Rizal Muttaqin from comment #3)
> Created attachment 152119 [details]
> Bezier/Node Handler Color

The idea is to synchronize object handlers to the color of elementary's bezier/node corner which has white color.

Should it change to be dark gray instead just like selected node in picture above?
Comment 5 Rizal Muttaqin 2019-06-12 03:20:16 UTC
Created attachment 152120 [details]
MS Office shape selection

Or may be add extra border line while keeping the main color white just like MS Office does?
Comment 6 Commit Notification 2020-04-27 18:57:10 UTC
Rizal Muttaqin committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/ce9caca8da371784e33638323792e42630b2a057

elementary: fix for tdf#125779: object handlers are too faint

It will be available in 7.0.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 7 Commit Notification 2020-04-27 20:10:19 UTC
Rizal Muttaqin committed a patch related to this issue.
It has been pushed to "libreoffice-6-4":

https://git.libreoffice.org/core/commit/750a10a4484cb8a05102092532848df500256a79

elementary: fix for tdf#125779: object handlers are too faint

It will be available in 6.4.4.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.